LINUX.ORG.RU
ФорумTalks

[GNOME][FreeBSD]Массированное обновление портов.


0

0

GNOME 2.30 попал в коллекцию портов FreeBSD. Так как эта инфраструктура (не только DE) используется на 99% десктопов Unix и GNU, то обновления библиотек GNOME весьма важны для функционирования операционных сред на основе Gtk2.

Отписываемся о результатах.

★★★★★

99%

HA_HA.
Жду кедое, хотя зойчем жду непонятно.

NekoExMachina ()

> GNOME 2.30 попал в коллекцию портов FreeBSD.

11.05.2010

Slow slowpokes are so slow

ktan ★★★ ()
Ответ на: комментарий от jungleace

А вот popularity contest пользуются далеко не все. Т.е. реальных цифр «по всей больнице» с этого ты не получишь.

Deleted ()

Отписываемся о результатах.

а тут вообще кроме iZEN и еще нескольких человек есть BSDшники ? ) что-то мне кажется что топик - 5.4 )

Sylvia ★★★★★ ()
Ответ на: комментарий от jungleace

То есть, вы думаете, что если 20 гномеров/кдешников в опросе покажут, что 20 гномеров/кдешников пользуются гномом/кде, то это на что-то намекает?

NekoExMachina ()

Это хорошо. Думаю в конторе запилить десктоп под бздей и третьекедами. Если принтер куплю.

BSD ()
Ответ на: комментарий от Sylvia

>а тут вообще кроме iZEN и еще нескольких человек есть BSDшники ? ) что-то мне кажется что топик - 5.4 )

Да полно, просто у большинства все же БЗД на серверах. Сам бы стал ярым БЗДешником и водрузил бы ее се на десктоп, да вот софт не поймет.

BSD ()
Ответ на: комментарий от Sylvia

>тогда следующий вопрос: зачем на серверах Гном ?

Я низнаю, я про то што FreeBSD активно использется на серверах.

BSD ()
Ответ на: комментарий от Sylvia

>тогда следующий вопрос: зачем на серверах Гном ?

Спроси об этом разработчиков Oracle Sun Solalis. Вообще, gtk2 можно затащить в систему каким-нибудь libgd или graphiz. Весь гном ставить не имеет смысла, даже если ставить VNC.

Тут кстати был чел, у которого на рабочей станции была фряха :)

gh0stwizard ★★★★★ ()
Ответ на: комментарий от Sylvia

ВНЕЗАПНО

% portsnap fetch update && pkg_version -v | grep need && portupgrade -aF && portsdb -Uu && portupgrade -ap && rehash && pkgdb -u
...
/usr/ports/x11/qt4-inputmethods/
/usr/ports/x11/qt4-opengl/
/usr/ports/x11/workrave/
/usr/ports/x11/yelp/
/usr/ports/x11/zenity/
Building new INDEX files... done.
ORBit2-2.14.17                      <   needs updating (port has 2.14.18)
atk-1.28.0                          <   needs updating (port has 1.30.0)
bash-4.0.35                         <   needs updating (port has 4.1.5_1)
cairo-1.8.8_1,1                     <   needs updating (port has 1.8.10_1,1)
clutter-1.0.10_2                    <   needs updating (port has 1.2.6)
clutter-gtk-0.10.2_5                <   needs updating (port has 0.10.4)
dbus-1.2.16_1                       <   needs updating (port has 1.2.24_1)
dbus-glib-0.84                      <   needs updating (port has 0.86)
eog-2.28.2_2                        <   needs updating (port has 2.30.1)
eog-plugins-2.28.1_2                <   needs updating (port has 2.30.0)
evince-2.28.2_2                     <   needs updating (port has 2.30.1)
file-roller-2.28.2_3,1              <   needs updating (port has 2.30.1.1,1)
freetype2-2.3.11                    <   needs updating (port has 2.3.12)
gconf2-2.28.0_2                     <   needs updating (port has 2.28.1)
gedit-2.28.3_2                      <   needs updating (port has 2.30.2)
gedit-plugins-2.28.0_2              <   needs updating (port has 2.30.0)
gio-fam-backend-2.22.4              <   needs updating (port has 2.24.1)
glib-2.22.4                         <   needs updating (port has 2.24.1)
glibmm-2.22.1,1                     <   needs updating (port has 2.24.2,1)
gnome-desktop-2.28.2_2              <   needs updating (port has 2.30.0)
gnome-doc-utils-0.18.1              <   needs updating (port has 0.20.1)
gnome-icon-theme-2.28.0_3           <   needs updating (port has 2.30.2.1)
gnome-keyring-2.28.2_2              <   needs updating (port has 2.30.1)
gnome-nettool-2.28.0_2,1            <   needs updating (port has 2.30.0,1)
gnome-system-monitor-2.28.0_2       <   needs updating (port has 2.28.1)
gnome-vfs-2.24.2_2                  <   needs updating (port has 2.24.3)
gobject-introspection-0.6.7         <   needs updating (port has 0.6.10)
gtk-2.18.7_1                        <   needs updating (port has 2.20.1)
gtk-engines2-2.18.5_2               <   needs updating (port has 2.20.0)
gtkmm-2.18.2_2                      <   needs updating (port has 2.20.3)
gtksourceview2-2.8.2_2              <   needs updating (port has 2.10.1)
gucharmap-2.28.2_2                  <   needs updating (port has 2.30.1)
gvfs-1.4.3_2                        <   needs updating (port has 1.6.1)
hal-0.5.13_14                       <   needs updating (port has 0.5.14_7)
libIDL-0.8.13                       <   needs updating (port has 0.8.14)
libart_lgpl-2.3.20,1                <   needs updating (port has 2.3.21,1)
libbonobo-2.24.2                    <   needs updating (port has 2.24.3)
libbonoboui-2.24.2_2                <   needs updating (port has 2.24.3)
libchamplain-0.4.4_2                <   needs updating (port has 0.4.5)
libgnome-2.28.0_2                   <   needs updating (port has 2.30.0)
libgnomecanvas-2.26.0_3             <   needs updating (port has 2.30.1)
libgnomeui-2.24.2_2                 <   needs updating (port has 2.24.3)
libgsf-1.14.17_1                    <   needs updating (port has 1.14.18)
libgtop-2.28.0_2                    <   needs updating (port has 2.28.1_2)
librsvg2-2.26.0_4                   <   needs updating (port has 2.26.3)
libsigc++-2.2.4.2                   <   needs updating (port has 2.2.6)
libsoup-2.28.2_2                    <   needs updating (port has 2.30.1)
libspectre-0.2.3_2                  <   needs updating (port has 0.2.5)
libwnck-2.28.0_2                    <   needs updating (port has 2.30.0)
libxklavier-4.0_1,1                 <   needs updating (port has 5.0,1)
libxml++-2.26.1                     <   needs updating (port has 2.30.0)
libxml2-2.7.6_2                     <   needs updating (port has 2.7.7)
midori-0.2.2_2                      <   needs updating (port has 0.2.4)
nautilus-2.28.4_2                   <   needs updating (port has 2.30.1)
pango-1.26.2_2                      <   needs updating (port has 1.28.0)
pangomm-2.26.0_1                    <   needs updating (port has 2.26.2)
perl-threaded-5.10.1                <   needs updating (port has 5.10.1_1)
poppler-0.12.3_2                    <   needs updating (port has 0.12.4)
poppler-gtk-0.12.3_2                <   needs updating (port has 0.12.4)
py26-clutter-1.0.0_2                <   needs updating (port has 1.0.0_3)
py26-cluttergtk-0.9.3_2             <   needs updating (port has 0.10.0)
py26-dbus-0.83.0_1                  <   needs updating (port has 0.83.1)
py26-gnome-2.28.0_2                 <   needs updating (port has 2.28.1)
py26-gobject-2.20.0                 <   needs updating (port has 2.21.1)
py26-gtk-2.16.0_2                   <   needs updating (port has 2.17.0_1)
py26-gtksourceview-2.8.0_2          <   needs updating (port has 2.10.1)
py26-libxml2-2.7.6                  <   needs updating (port has 2.7.7)
py26-vte-0.22.5_5                   <   needs updating (port has 0.24.1)
qt4-corelib-4.6.1                   <   needs updating (port has 4.6.2)
qt4-gui-4.6.1_1                     <   needs updating (port has 4.6.2)
qt4-moc-4.6.1                       <   needs updating (port has 4.6.2)
qt4-qmake-4.6.1                     <   needs updating (port has 4.6.2)
qt4-rcc-4.6.1                       <   needs updating (port has 4.6.2)
qt4-uic-4.6.1                       <   needs updating (port has 4.6.2)
unique-1.1.2_2                      <   needs updating (port has 1.1.6)
vte-0.22.5_2                        <   needs updating (port has 0.24.1)
webkit-gtk2-1.1.15.4_4              <   needs updating (port has 1.2.0)
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 471 packages found (-0 +1) . done]
[Updating the portsdb <format:bdb_btree> in /usr/ports ... - 21707 port entries found .........1000.........2000.........3000.........4000.........5000.........6000.........7000.........8000.........9000.........10000.........11000.........12000.........13000.........14000.........15000.........16000.........17000.........18000.........19000.........20000.........21000....... ..... done]
--->  Fetching the distfile(s) for 'qt4-qmake-4.6.2' (devel/qmake4)
--->  Fetching '/usr/ports/devel/qmake4'
===>  Vulnerability check disabled, database not found
=> qt-everywhere-opensource-src-4.6.2.tar.gz doesn't seem to exist in /usr/ports/distfiles/KDE.
=> Attempting to fetch from http://mi.mirror.garr.it/mirrors/qt/.
fetch: http://mi.mirror.garr.it/mirrors/qt/qt-everywhere-opensource-src-4.6.2.tar.gz: Moved Permanently
=> Attempting to fetch from ftp://ftp.heanet.ie/mirrors/trolltech/pub/qt/source/.
qt-everywhere-opensource-src-4.6.2.tar.gz      56% of  153 MB   35 kBps 32m23s

— вражеская сущность качается.

iZEN ★★★★★ ()
Ответ на: комментарий от jungleace

>Миллионы людей регулярно задают этот вопрос Red Hat.

4.2

Неосиляторы, которые не нашли пункт выборочная установка пакетов при установке, идут лесом.

gh0stwizard ★★★★★ ()
Ответ на: комментарий от iZEN

Windows Only. Там сраная бухгалтерско-предпринимательская шняга, работает только под вендой. Сейчас хоть слава Господу и разработчикам можно мультики на ютубе смотреть без линукслатора есть gnash. Хотя сам не пробовал, но говорят работает.

BSD ()
Ответ на: комментарий от NekoExMachina

>угу, работает. хорошо довольно.

Вот и отлично. Жаль принтер не идет под бздяхой, надо новый покупать. Ненавижу говноcanon.

BSD ()

Да, BSD хорошая система была, годная, правильная...

З.Ы. О покойниках или хорошо или никак.

Pavval ★★★★★ ()

Ну наконец! С гномом оно сдохнет быстрее.

ShTH ()
Ответ на: комментарий от NekoExMachina



Систем, где нету гнома и гномолиб - больше 50%.


Всячески стараюсь не использовать GNOME. Урезаю использование его либ по самый самолёт. Однако же есть удобные для меня приложения (Gedit, File-Roller, EoG), которые в зависимостях тащат (с чего бы вдруг?!), например, ненавистный мне GNOME Nautilus, выпилить который я, в принципе, могу, но это делать нужно РУКАМИ (pkg_deinstall -f nautilus-2.28.4_2 && pkgdb -vfFu).

gtk2 - не гномолиба.


Gtk2 — основной графический тулкит в инфраструктуре GNOME.

iZEN ★★★★★ ()
Ответ на: комментарий от jungleace

И не абсолютно тоже. Только тех, кто согласился принять участие в этом (по крайней мере Debian спрашивает). Что может заставить человека отказаться и как их много это уже другой вопрос.

Deleted ()
Ответ на: комментарий от iZEN

>Gtk2 — основной графический тулкит в инфраструктуре GNOME.

И? Это тулкит. Графические тулкиты обычно в ДЕлибосрачи не включают, т.к. вполне часто пользуются и теми и теми.

Deleted ()
Ответ на: комментарий от iZEN

основной тулкит != используется только гномом
гномолиба в том сообщении = используется только гномом.
Меня кстати в bsd сильно не радует такая штука, что некоторая часть gtk-only приложений тянут за собой зачем-то чертов gconf2.

NekoExMachina ()
Ответ на: комментарий от Deleted

А часто - только этими. А вот чтобы только теми - это очень большая редкость. Можно сравнить стартовые инсталляции самых популярных дистрибутивов, сколь часто там GTK и сколь часто - Qt.

jungleace ()
Ответ на: комментарий от xetf

> VLC можно собрать без Qt. Или в бзде нельзя?

Уже везде нельзя. Gtk-фронтэнд для VLC v.>0.9.8 не поддерживается самими разработчиками.

iZEN ★★★★★ ()
Ответ на: комментарий от iZEN

>Уже везде нельзя

4.2

Gtk-фронтэнд


Не нужен. cvlc же.

xetf ★★ ()

ничего удивительного что свободные ос имеют 2% рынка, пока все завязано на говнолибах толкаемых fdo и нацеленных на один убогий ДЕ, больше 2% и не получится.

Novell-ch ★★★★★ ()
Ответ на: комментарий от jungleace

>Систем, где есть GTK, и нет Qt, достаточно много. Систем, где есть Qt, но нет GTK, найти практически невозможно.

GTK != Gnome

k0l0b0k ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.